Java і Apache OpenOffice

  1. Навіщо потрібна Java для використання Apache OpenOffice? Java необхідна для повної функціональності...
  2. Де я можу отримати Java?

Навіщо потрібна Java для використання Apache OpenOffice?

Java необхідна для повної функціональності OpenOffice. Java в основному необхідна для двигуна бази даних HSQLDB (використовується базою продуктів нашої бази даних) і для використання доступності та допоміжних технологій. Крім того, деякі майстри покладаються на технологію Java. Див. Додаткові теми, що стосуються використання Java в OpenOffice і Apache OpenOffice в Поширені запитання .

Так що ж це означає? Base (компонент бази даних) повністю працює на технологіях Java для запуску, але інші програми (наприклад, Writer, Calc і Impress) потребують Java тільки для спеціальних функцій. Якщо вам не потрібно використовувати Base і не хочете використовувати жодного з майстрів, то вам не потрібно мати Java, встановлену і налаштовану для запуску Apache OpenOffice (і старіших версій OpenOffice.org). Ви можете повністю запобігти відкриттю OpenOffice про використання Java, повідомивши OpenOffice, що не використовує середовище виконання Java (JRE). Використовуйте головне меню OpenOffice: "Інструменти - Параметри ... - Java" і зніміть прапорець "Використовувати середовище виконання Java". Однак, ми рекомендуємо вам мати JRE у вашій системі, щоб повністю скористатися функціями OpenOffice без будь-яких проблем.

Старі версії OpenOffice.org 3.3.0 і старше включали JRE, упаковані з завантаженням. Apache OpenOffice 3.4.0 і новіші ні!

Яка версія Java потрібна для використання Apache OpenOffice?

Вам потрібно мати версію JRE (32-бітну або 64-бітну), сумісну з архітектурою завантаженої версії Apache OpenOffice. Якщо на вашій системі вже встановлено JRE, що задовольняє цій вимозі в одній із стандартних областей інсталяції Java, OpenOffice має виявити цю установку і дозволити вам вибрати її для використання в OpenOffice за допомогою "Інструменти - Параметри ... - Java" . Якщо встановлено JRE, який не виявлено, ви зможете додати його через це меню. Крім того, ви можете встановити JRE або налаштувати OpenOffice на використання Java в будь-який час, щоб отримати відсутні функції для роботи.

Важлива примітка для користувачів Windows: Версія Windows OpenOffice є 32-бітною і тому потребує 32-розрядного JRE Важлива примітка для користувачів Windows: Версія Windows OpenOffice є 32-бітною і тому потребує 32-розрядного JRE. Навіть якщо у вас встановлена ​​версія Windows з 64-бітною версією.
Крім того, ви повинні встановити 32-розрядний JRE - додатково або замість цього - коли у вас вже встановлено 64-розрядний JRE.

Де я можу отримати Java?

Поточні версії Apache OpenOffice надійно працюють з різними JRE, у тому числі Oracle Java, версії 6, 7 і 8 і openJDK, версії 6, 7 і 8 . Ви можете завантажити JRE з будь-якого з цих сайтів, якщо ви вважаєте, що вам потрібна така функціональність.

Будь ласка, повідомте про будь-які проблеми, які ви відчуваєте з використанням Java на OpenOffice через нашу систему звітів про помилки, Bugzilla або один з інших місць підтримки, перелічених у Підтримка Apache OpenOffice веб-сторінки, або список користувачів або форуми.

Для встановлення Java на машинах Windows можна оцінити: Завантажте інструкції для Windows в автономному режимі .

Навіщо потрібна Java для використання Apache OpenOffice?
Де я можу отримати Java?
Навіщо потрібна Java для використання Apache OpenOffice?
Так що ж це означає?
Яка версія Java потрібна для використання Apache OpenOffice?
Де я можу отримати Java?

Уважаемые партнеры, если Вас заинтересовала наша продукция, мы готовы с Вами сотрудничать. Вам необходимо заполнить эту форму и отправить нам. Наши менеджеры в оперативном режиме обработают Вашу заявку, свяжутся с Вами и ответят на все интересующее Вас вопросы.

Или позвоните нам по телефонам: (048) 823-25-64

Организация (обязательно) *

Адрес доставки

Объем

Как с вами связаться:

Имя

Телефон (обязательно) *

Мобильный телефон

Ваш E-Mail

Дополнительная информация: